Package org.apache.cayenne

## Class DataChannelSyncCallbackAction

- java.lang.Object
- - org.apache.cayenne.DataChannelSyncCallbackAction

- All Implemented Interfaces:
    `GraphChangeHandler`

      public abstract class DataChannelSyncCallbackAction
      extends Object
      implements GraphChangeHandler

  Since:
    3.1

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `applyPostCommit()` |
    `abstract void` | `applyPreCommit()` |
    `void` | `arcCreated​(Object nodeId, Object targetNodeId, ArcId arcId)` | Notifies implementing object that a new arc was created between two nodes.
    `void` | `arcDeleted​(Object nodeId, Object targetNodeId, ArcId arcId)` | Notifies implementing object that an arc between two nodes was deleted.
    `static DataChannelSyncCallbackAction` | `getCallbackAction​(LifecycleCallbackRegistry callbackRegistry, GraphManager graphManager, GraphDiff changes, int syncType)` |
    `protected abstract boolean` | `hasListeners()` |
    `void` | `nodeCreated​(Object nodeId)` | Notifies implementing object that a new node was created in the graph.
    `void` | `nodeIdChanged​(Object nodeId, Object newId)` | Notifies implementing object that a node was assigned a new id.
    `void` | `nodePropertyChanged​(Object nodeId, String property, Object oldValue, Object newValue)` | Notifies implementing object that a node's property was modified.
    `void` | `nodeRemoved​(Object nodeId)` | Notifies implementing object that a node was removed from the graph.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCallbackAction

          public static DataChannelSyncCallbackAction getCallbackAction​(LifecycleCallbackRegistry callbackRegistry,
                                                                        GraphManager graphManager,
                                                                        GraphDiff changes,
                                                                        int syncType)

    - #### hasListeners

          protected abstract boolean hasListeners()

    - #### applyPreCommit

          public abstract void applyPreCommit()

    - #### applyPostCommit

          public abstract void applyPostCommit()

    - #### nodeCreated

          public void nodeCreated​(Object nodeId)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that a new node was created in the graph.
      Specified by:
        `nodeCreated` in interface `GraphChangeHandler`

    - #### nodeRemoved

          public void nodeRemoved​(Object nodeId)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that a node was removed from the graph.
      Specified by:
        `nodeRemoved` in interface `GraphChangeHandler`

    - #### arcCreated

          public void arcCreated​(Object nodeId,
                                 Object targetNodeId,
                                 ArcId arcId)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that a new arc was created between two nodes.
      Specified by:
        `arcCreated` in interface `GraphChangeHandler`

    - #### arcDeleted

          public void arcDeleted​(Object nodeId,
                                 Object targetNodeId,
                                 ArcId arcId)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that an arc between two nodes was deleted.
      Specified by:
        `arcDeleted` in interface `GraphChangeHandler`

    - #### nodeIdChanged

          public void nodeIdChanged​(Object nodeId,
                                    Object newId)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that a node was assigned a new id.
      Specified by:
        `nodeIdChanged` in interface `GraphChangeHandler`

    - #### nodePropertyChanged

          public void nodePropertyChanged​(Object nodeId,
                                          String property,
                                          Object oldValue,
                                          Object newValue)

      Description copied from interface: `GraphChangeHandler`
      Notifies implementing object that a node's property was modified.
      Specified by:
        `nodePropertyChanged` in interface `GraphChangeHandler`